> ## Documentation Index
> Fetch the complete documentation index at: https://tradewatch.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Trading Hours

> Get trading hours. It takes half-days into account.



## OpenAPI

````yaml /openapi.json get /stocks/markets/hours
openapi: 3.1.0
info:
  title: tradewatch.io
  version: 3.1.0
  description: Financial market data for Developers
servers:
  - url: https://api.tradewatch.io
    description: Production API server
security:
  - API Key: []
tags:
  - name: Account
    description: >-
      In this section, you can find methods that can be helpful to manage your
      API account.
    x-displayName: Account
  - name: Currencies
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for traditional currencies (Forex).
    x-displayName: Currencies
  - name: Crypto
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for cryptocurrencies.
    x-displayName: Crypto
  - name: Indices
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for market indices.
    x-displayName: Indices
  - name: Stocks
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for stocks and equities.
    x-displayName: Stocks
  - name: Fundamentals
    description: Financial statements and company data sourced from SEC EDGAR filings.
  - name: Markets
    description: Stock exchange and market session information.
  - name: Commodities
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for commodities.
    x-displayName: Commodities
paths:
  /stocks/markets/hours:
    get:
      tags:
        - Markets
      summary: Trading Hours
      description: Get trading hours. It takes half-days into account.
      operationId: stocks_get_trading_hours
      parameters:
        - name: mic
          in: query
          required: false
          schema:
            type: string
            title: MIC code
            description: >-
              Optional list of comma separated MIC codes for which market to
              show data for. All market will be included if MIC code is not
              specified.
          description: >-
            Optional list of comma separated MIC codes for which market to show
            data for. All market will be included if MIC code is not specified.
          example: XNYS
        - name: start
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Start date
            description: Show holidays starting at this date.
          description: Show holidays starting at this date.
          example: '2026-05-07'
        - name: end
          in: query
          required: true
          schema:
            type: string
            format: date
            title: End date
            description: Show holidays until this date.
          description: Show holidays until this date.
          example: '2026-05-07'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TradingHoursResponse'
                title: Response Stocks Get Trading Hours
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TradingHoursResponse:
      properties:
        mic:
          type: string
          title: Mic
          description: Market Identifier Code (ISO 10383)
          examples:
            - XSTO
        date:
          type: string
          title: Date
          description: Date of the trading session (YYYY-MM-DD)
          examples:
            - '2024-04-30'
        day_of_week:
          type: string
          title: Day Of Week
          description: Day of the week
          examples:
            - Tuesday
        is_early_close:
          type: boolean
          title: Is Early Close
          description: Whether the market closes early on this day
          examples:
            - true
        open_time:
          type: string
          format: date-time
          title: Open Time
          description: Opening time for the day
          examples:
            - '2024-04-30T09:00:00+02:00'
        close_time:
          type: string
          format: date-time
          title: Close Time
          description: Closing time for the day
          examples:
            - '2024-04-30T13:00:00+02:00'
        holiday_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Holiday Name
          description: Name of the holiday if applicable
          examples:
            - Day Before Labour Day
      type: object
      required:
        - mic
        - date
        - day_of_week
        - is_early_close
        - open_time
        - close_time
        - holiday_name
      title: TradingHoursResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      description: Authentication via API key header
      type: apiKey
      name: api-key
      in: header

````